/*
 *  SIPcrack | Martin J. Muench | mjm@codito.de | 2006
 */

#ifndef SIPCRACK_GLOBAL_H
#define SIPCRACK_GLOBAL_H

#define HOST_MAXLEN  128    /* Max len of hostnames      */
#define USER_MAXLEN   64    /* Max len of user names     */
#define URI_MAXLEN   128    /* Max len of uri            */
#define NONCE_MAXLEN 128    /* Max len of nonce value    */
#define LOGIN_MAXLEN 512    /* Max len of login entry    */
#define MD5_LEN       16    /* Len of MD5 binary hash    */
#define MD5_LEN_HEX   32    /* Len of MD5 hex hash       */
#define PW_MAXLEN     32    /* Max len of password       */
#define ALG_MAXLEN     8    /* Max len of algorithm name */
#define METHOD_MAXLEN 16    /* Max len of method string  */

/* Structure to hold login information */
typedef struct {
  char server[HOST_MAXLEN];
  char client[HOST_MAXLEN];
  char user[USER_MAXLEN];
  char realm[HOST_MAXLEN];
  char method[METHOD_MAXLEN];
  char uri[URI_MAXLEN];
  char nonce[NONCE_MAXLEN];
  char algorithm[ALG_MAXLEN];
  char hash[MD5_LEN_HEX+1];
} login_t;

#endif /* SIPCRACK_GLOBAL_H */
